// x_i.txtのtifファイルとスタック作成
macro "x_i.txtのtifファイルとスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-20, 1000);
	file_tif = dir1 + "x_" + i + ".tif";
	
	saveAs("Tiff", file_tif);
  }

  run("Images to Stack");
  
  
  xfile=dir1+"stack_x.tif";
  saveAs("Tiff", xfile);

}

//x1_i.txtのスタック作成
macro "x1_i.txtのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x1_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-20, 1000);
//	file_tif = dir1 + "x_" + i + ".tif";
//	saveAs("Tiff", file_tif);
  }

  run("Images to Stack");
  
  xfile=dir1+"stack_x1.tif";
  saveAs("Tiff", xfile);

}

//x2_i.txtのスタック作成
macro "x2_i.txtのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x2_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-20, 1000);
	// file_tif = dir1 + "x2_" + i + ".tif";
	
	//saveAs("Tiff", file_tif);
  }

  run("Images to Stack");

  xfile=dir1+"stack_x2.tif";
  saveAs("Tiff", xfile);

}

//ccc_i.pdfのスタック作成
macro "ccc_i.pdfのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= dir1 + "ccc_" + i + ".pdf";
    print(xfile);
    
    open(xfile);
  }

  run("Images to Stack");

  xfile=dir1+"stack_ccc.tif";
  saveAs("Tiff", xfile);

}
